Name:           perl-Authen-SCRAM
Version:        0.006
Release:        2%{?dist}
Summary:        Salted Challenge Response Authentication Mechanism (RFC 5802)
License:        ASL 2.0
URL:            http://search.cpan.org/dist/Authen-SCRAM/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Authen-SCRAM-%{version}.tar.gz
# 1/2 Fix handling user names with wide characters, in upstream 0.009
Patch0:         Authen-SCRAM-0.006-Fix-mojibake-in-the-auth-signature-for-wide-characte.patch
# 2/2 Fix handling user names with wide characters, in upstream 0.009
Patch1:         Authen-SCRAM-0.006-Fix-tests-for-older-perls.patch
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Authen::SASL::SASLprep) >= 1.100
BuildRequires:  perl(Carp)
BuildRequires:  perl(Crypt::URandom)
BuildRequires:  perl(Encode)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Moo) >= 1.001000
BuildRequires:  perl(Moo::Role) >= 1.001000
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(PBKDF2::Tiny) >= 0.003
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(Types::Standard)
# Optional run-time:
# String::Compare::ConstantTime 0.310 do not build-require to exercise
# fall-back code.
# Tests:
BuildRequires:  perl(base)
# CPAN::Meta not useful
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::FailWarnings)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Keep String::Compare::ConstantTime 0.310 optional

%description
These Perl modules implement the Salted Challenge Response Authentication
Mechanism (SCRAM) from RFC 5802.

%prep
%setup -q -n Authen-SCRAM-%{version}
%patch0 -p1
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Mar 27 2018 Petr Pisar <ppisar@redhat.com> - 0.006-2
- Fix handling user names with wide characters

* Thu Nov 23 2017 Petr Pisar <ppisar@redhat.com> - 0.006-1
- 0.006 bump

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.005-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.005-7
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.005-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.005-5
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.005-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.005-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.005-2
- Perl 5.22 rebuild

* Fri Mar 20 2015 Petr Pisar <ppisar@redhat.com> 0.005-1
- Specfile autogenerated by cpanspec 1.78.
